Request Body
Commit SHA to attach the note to
Set to
"add" to create a new note (default)The note content
Object with
name and email for the notes commitExpected notes ref SHA for optimistic concurrency control
JWT Requirements
- The JWT must include the repository in the
repoclaim - Requires
git:writescope
Response
Response Fields
The commit SHA the note is attached to
The notes reference (
refs/notes/commits)Previous notes ref commit SHA
New notes ref SHA after the operation
Operation result with
success, status, and optional messageNotes
- Use
action: "add"to create a new note (fails if note already exists) - Use the Append note endpoint to add to an existing note
- The
expected_ref_shaparameter enables optimistic concurrency control
Error Responses
Note already exists for this commit, or
expected_ref_sha doesn’t matchInvalid JWT or missing
git:write scopeMissing required fields